<?php global $gfxpartner_slope;
    $alt = 'footer';
    if (isset($gfxpartner_slope['logo_upload_footer']['alt']) && 
    !empty($gfxpartner_slope['logo_upload_footer']['alt'])) {
        $alt = $gfxpartner_slope['logo_upload_footer']['alt'];
    }
?>
<?php if (isset($gfxpartner_slope['footer_show']) && $gfxpartner_slope['footer_show']): ?>
<footer class="footer">
    <div class="footer--wrapper">
        <div class="container">
            <?php if ((isset($gfxpartner_slope['logo_upload_footer']['url']) && !empty($gfxpartner_slope['logo_upload_footer']['url'])) || (isset($gfxpartner_slope['footer_header_tagline']) && !empty($gfxpartner_slope['footer_header_tagline']))): ?>
            <div class="footer--header">
                <div class="row">
                    <?php if (isset($gfxpartner_slope['logo_upload_footer']['url']) && !empty($gfxpartner_slope['logo_upload_footer']['url'])): ?>  
                        <div class="col-lg-6">
                            <div class="footer--logo">
                                <a href="<?php echo esc_url(home_url()); ?>">
                                    <img src="<?php echo esc_url($gfxpartner_slope['logo_upload_footer']['url']); ?>"
                                    alt="<?php echo esc_attr($alt); ?>">
                                </a>
                            </div>
                        </div>
                    <?php endif; ?>
                    <?php if (isset($gfxpartner_slope['footer_header_tagline']) && !empty($gfxpartner_slope['footer_header_tagline'])): ?>
                    <div class="col-lg-5 offset-lg-1">
                        <div class="footer--paragraph">
                            <h3 class="heading heading-large light-1">
                                <?php echo wp_kses($gfxpartner_slope['footer_header_tagline'], 'br-allowed'); ?>
                            </h3>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
            <?php endif; ?>
            <div class="footer--details">
                <div class="row">
                    <?php if ((isset($gfxpartner_slope['footer_phone_number']) && !empty($gfxpartner_slope['footer_phone_number'])) || (isset($gfxpartner_slope['footer_address']) && !empty($gfxpartner_slope['footer_address']))): ?>
                    <div class="col-lg-4">
                        <?php if (isset($gfxpartner_slope['footer_phone_number']) && !empty($gfxpartner_slope['footer_phone_number']['phone_value'])): ?>
                            <div class="detail-single footer-phone-number">
                                <h6><?php echo esc_html($gfxpartner_slope['footer_phone_number']['phone_heading']); ?></h6>
                                <a href="tel:<?php echo esc_attr( $gfxpartner_slope['footer_phone_number']['phone_value'] ); ?>">
                                    <h4><?php echo esc_html($gfxpartner_slope['footer_phone_number']['phone_value']); ?></h4>    
                                </a>
                            </div>
                        <?php endif; ?>
                        <?php if (isset($gfxpartner_slope['footer_address']) && !empty($gfxpartner_slope['footer_address']['address_heading'])): ?>
                        <div class="detail-single footer-address">
                            <h6><?php echo esc_html($gfxpartner_slope['footer_address']['address_heading']); ?></h6>
                            <h4><?php echo wp_kses($gfxpartner_slope['footer_address']['address_value'], 'br-allowed'); ?></h4>
                        </div>
                        <?php endif; ?>
                    </div>
                    <?php endif; ?>
                    <?php if ((isset($gfxpartner_slope['footer_email']) && !empty($gfxpartner_slope['footer_email']['email_value'])) || (isset($gfxpartner_slope['social_show_footer']) && !empty($gfxpartner_slope['social_show_footer']))): ?>
                    <div class="col-lg-4">
                        <?php if (isset($gfxpartner_slope['footer_email']) && !empty($gfxpartner_slope['footer_email']['email_value'])): ?>
                            <div class="detail-single footer-email">
                                <h6><?php echo esc_html($gfxpartner_slope['footer_email']['email_heading']); ?></h6>
                                <a href="mailto:<?php echo esc_attr( $gfxpartner_slope['footer_email']['email_value'] ); ?>">
                                    <h4><?php echo esc_html($gfxpartner_slope['footer_email']['email_value']); ?></h4>
                                </a>
                            </div>
                        <?php endif; ?>
                        <?php if (isset($gfxpartner_slope['social_show_footer']) && !empty($gfxpartner_slope['social_show_footer'])): ?>
                            <div class="detail-single">
                            <?php get_template_part('/inc/template/part', 'social'); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                    <?php endif; ?>
                    <?php if (shortcode_exists('contact-form-7')): ?>
                    <div class="col-lg-4">
                        <div class="detail-single">
                        <?php echo do_shortcode('[contact-form-7 id="436" title="Email"]'); ?>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
            <?php if (isset($gfxpartner_slope['footer_copyright']) && !empty($gfxpartner_slope['footer_copyright'])): ?>
            <div class="footer-bottom">
                <h6><?php echo esc_html($gfxpartner_slope['footer_copyright']); ?></h6>
            </div>
            <?php endif; ?>
        </div>
    </div>
</footer>
<?php endif; ?>

<?php if (!isset($gfxpartner_slope['footer_show'])): ?>
<footer class="footer default-footer">
    <div class="footer--wrapper">
        <div class="container">
        <div class="footer--header">
                <div class="row">
                    <div class="col-lg-6">
                        <div class="footer--logo">
                        <?php 
                            if (function_exists('the_custom_logo') && (function_exists('get_custom_logo') && !empty(get_custom_logo()))): 
                        ?>
                            <?php the_custom_logo(); ?>

                        <?php else: ?>
                            <a href="<?php echo esc_url(home_url()); ?>">
                                <h3 class="light-1"><?php echo esc_html(get_bloginfo('name')); ?></h3>
                            </a>
                        <?php endif; ?>
                        </div>
                    </div>
                    <div class="col-lg-6 ">
                        <div class="footer--paragraph">
                            <h3 class="heading heading-large light-1">
                                <?php echo esc_html(get_bloginfo('description')); ?>
                            </h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer-bottom">
                <h6>
                    <?php echo esc_html__('&copy; Copyright. All Rights Reserved', 'slope'); ?>
                </h6>
            </div>
        </div>
    </div>
</footer>
<?php endif; ?>

<?php wp_footer(); ?>

</body>
</html>