<?php

if (!defined('ABSPATH')) exit; // Exit if accessed directly

class Slope_Widgets_Loader {

  private static $_instance = null;

  public static function instance() {
      if (is_null(self::$_instance)) {
      self::$_instance = new self();
      }
      return self::$_instance;
  }

  public function init() {
    add_action('elementor/widgets/widgets_registered', [$this, 'register_widgets'], 99);
    add_action('elementor/init', [$this, 'elementor_widget_category']); 
    $this->include_files();
    add_action( 'admin_enqueue_scripts', [ $this, 'slope_elementor_style' ], 999 );
    add_action( 'elementor/editor/before_enqueue_scripts', [ $this, 'slope_elementor_style' ], 999 );
  }


  private function include_widgets_files(){
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/heading.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/paragraph.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/single-image.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/text-list.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/button.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/image-slider.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/blog.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/projects.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/testimonial-slider.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/client-slider.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/team.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/services.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/contact-form-7.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/tabs.php');
    require_once(get_template_directory(). '/inc/elementor-widgets/widgets/video.php');
  }

  public function register_widgets(){

    $this->include_widgets_files();

    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Heading());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Paragraph());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \SingleImage());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \TextList());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \button());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \ImageSlider());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Blog());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Projects());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \TestimonialSlider());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \ClientSlider());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Team());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Services());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \ContactForm7());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Tabs());
    \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \Video());
  }

  public function elementor_widget_category($widgets_manager){
    \Elementor\Plugin::$instance->elements_manager->add_category(
        'gfxpartner',
        [
            'title' => esc_html__( 'gfxpartner', 'slope' ),
            'icon' => 'fa fa-plug',
        ],
        1
    );
  }

  public function include_files() {
      require_once( __DIR__ . '/elementor-functions.php' );
  }

  public function slope_elementor_style() {
    wp_enqueue_style('slope-elementor-styles', get_template_directory_uri().'/inc/assets/css/elementor_style.css', array(), false, false);
  }

  public function __construct(){
    $this->init();
  }

}

Slope_Widgets_Loader::instance();