<?php

if (!defined('ABSPATH')) exit; // Exit if accessed directly

require_once(get_template_directory().'/inc/installation/class-tgm-plugin-activation.php');

$plugins = array(
    array(
        'name'         => esc_html__('Slope core', "slope"),
        'slug'         => 'slope-core',
        'required'     => true,
        'source'       => get_template_directory_uri() . '/inc/installation/plugins/slope-core.zip',
        'version'      => '1.0.5',
    ),  
    array(
        'name'         => esc_html__('Elementor', "slope"),
        'slug'         => 'elementor',
        'required'     => true,
    ),
    array(
        'name'         => esc_html__('Contact Form 7', "slope"),
        'slug'         => 'contact-form-7',
    ),
    array(
        'name'         => esc_html__('Advanced Custom Fields', "slope"),
        'slug'         => 'advanced-custom-fields',
        'required'     => true
    ), 
    array(
        'name'         => esc_html__('One Click Demo Import', "slope"),
        'slug'         => 'one-click-demo-import',
    ),
);

/****************************************
TGM
****************************************/
function slope_register_required_plugins() {
    global $plugins;
	$config = array(
		'id' => 'tgmpa',
		'default_path' => '',
		'menu' => 'tgmpa-install-plugins',
		'has_notices' => true,
		'dismissable' => true,
		'dismiss_msg' => '',
		'is_automatic' => false,
		'message' => '',
	);
	tgmpa( $plugins, $config );
}
add_action('tgmpa_register', 'slope_register_required_plugins');


/****************************************
One click demo import
****************************************/
function slope_ocdi_import_files() {
	return array(
		array(
			'import_file_name'             => 'Demo Data',
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/data.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/data.wiedata.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/data-customizer.dat',
			'local_import_redux'           => array(
				array(
                    'file_path'   => 
                    trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/redux.json',
					'option_name' => 'gfxpartner_slope',
				),
			),
		),
	);
}
add_filter( 'pt-ocdi/import_files', 'slope_ocdi_import_files' );

function slope_ocdi_after_import_setup() {
	// Assign menus to their locations.
    $top_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

	set_theme_mod( 'nav_menu_locations', array(
            'primary_menu' => $top_menu->term_id,
            'error' => $top_menu->term_id,
            'search' => $top_menu->term_id
		)
	);

	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Home' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'slope_ocdi_after_import_setup' );

add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

function ocdi_register_plugins( $arg_plugins ) {
    global $plugins;
    return $plugins;
}
add_filter( 'ocdi/register_plugins', 'ocdi_register_plugins' );