<?php 

get_header(); 

?>

<?php 
$default_title = true;
$custom_title = ''; 

if (function_exists('get_field')) {
    $custom_title = get_field('custom_title');
    $default_title = get_field('default_title');
}

if ($custom_title):
?>
<div class="container page-header">
    <div class="row">
        <div class="col-lg-8">
            <h1 class="page-title"><?php echo esc_html($custom_title); ?></h1>
        </div>
    </div>
</div>
<?php endif; ?>

<?php if ($default_title): ?>
<div class="container index-header">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-title"><?php the_title(); ?></h1>
        </div>
    </div>
</div>
<?php endif; ?>

<?php

    $display_sidebar = false;
    $sidebar_location = false;
    $bound_width  = true;

    if (function_exists('get_field')) {
        $display_sidebar = get_field('display_sidebar');
        $sidebar_location = get_field('sidebar_location');
        $bound_width = get_field('bound_width');
    }

    $content_class = 'content-column';
    if ($display_sidebar && $sidebar_location == 'left') {
        $content_class .= ' left-sidebar';
    } else if ($display_sidebar && $sidebar_location == 'right') {
        $content_class .= ' right-sidebar';
    }

    
    if ($display_sidebar || $bound_width):
?>
<div class="container sidebar-page">
    <div class="row <?php echo esc_attr($bound_width ? 'd-block page-row' : '') ?>">
<?php endif; ?>
            <?php if ($display_sidebar && $sidebar_location == 'left' && is_active_sidebar('blog-sidebar')): ?>
                <div class="col-lg-4 sidebar-column">
                    <div class="sidebar-column-wrapper">
                        <?php get_sidebar('blog-sidebar'); ?>
                    </div>
                </div>
            <?php endif; ?>
            <?php if ($display_sidebar): ?>
                <div class="col-lg-8">
                    <div class="<?php echo esc_attr( $content_class ); ?>">
            <?php elseif ($bound_width): ?>
                <div class="col-12">
            <?php endif; ?>
                    <?php if (have_posts()): while (have_posts()): the_post(); ?>
                        <div class="page-content-wrapper">
                            <?php
                                if (post_password_required()) {
                                    echo get_the_password_form();
                                } else {
                                    the_content();
                                }
                            ?>
                        </div>
                        <?php if (!empty(wp_link_pages(array('echo' => 0)))): ?>
                            <div class="pagination-container">
                                <?php wp_link_pages(array('before'=> '<div class="post-nav-links"><h6>'.__('Pages', 'slope').': </h6><div class="post-nav-links-inner">', 
                                'after' => '</div></div>')); ?>
                            </div>
                        <?php endif; ?>
                    <?php endwhile; endif; ?>
                    <?php if (comments_open() || get_comments_number() != 0): ?>
                    <div class="col-lg-8">
                        <?php comments_template(); ?>
                    </div>
                    <?php endif; ?>
            <?php if ($display_sidebar): ?>
                    </div>
                </div>
            <?php elseif ($bound_width): ?>
                </div>
            <?php endif; ?>
        <?php if ($display_sidebar && $sidebar_location == 'right' && is_active_sidebar('blog-sidebar')): ?>
        <div class="col-lg-4 sidebar-column">
            <div class="sidebar-column-wrapper">
                <?php get_sidebar('blog-sidebar'); ?>
            </div>
        </div>
        <?php endif; ?>
<?php if ($display_sidebar || $bound_width): ?>        
    </div>
</div>
<?php endif; ?>



<?php get_footer(); ?>